Visit Main Site
Join Partner Program
Login
     
Introduction
Authentication
Documentation
Account
GET
POST
PUT
PATCH
DELETE
Item
GET
POST
DELETE
PATCH
Item Fulfillment
GET
POST
PATCH
Item Receipts
GET
POST
PATCH
DELETE
Order
GET
POST
PATCH
PUT
DELETE
Subscription
Usage
GET
POST
PATCH
PUT
DELETE
Express
POST
Invoice
GET
POST
PATCH
DELETE
Payment
GET
POST
PATCH
DELETE
Credit Note
GET
PATCH
Refund
GET
POST
PATCH
DELETE
Purchase Order
GET
POST
DELETE
PATCH
Purchase Invoice
GET
POST
PATCH
DELETE
Purchase Payment
GET
POST
DELETE
PATCH
Purchase Credit Note Applications
GET
PATCH
Purchase Refund
GET
POST
DELETE
Gift Certificate
GET
POST
PATCH
DELETE
Return Merchandise Authorizations
GET
POST
RVA
GET
POST
Settings
GET
POST
PATCH
Integration
GET
POST
PATCH
DELETE
Portal
POST
Communications
GET
POST
Reports
GET
Proforma
GET
POST
Labour
GET
POST
PATCH
DELETE
Workflow
GET
POST
PATCH
Labour Profiles
GET
POST
PATCH
DELETE
Custom Development
Custom Component
GET
POST
PATCH
DELETE
Custom Attribute
GET
PATCH
Custom Object
GET
POST
PATCH
Custom Database
GET
POST
Custom Component Notes
GET
POST
» Settings POST API Documentation

Create Variations: /settings/variations

POST
https://dev-api.exsited.com/api/v3/settings/variations
Try It Out
Purpose

This API endpoint allows you to create a new variation with one or more options. Variations represent configurable attributes for products and help businesses manage product differentiation in catalogs and inventory systems.

Use Case
  • To create custom product variations.
  • To add options within a variation.
  • To extend product data models for supporting multiple SKUs or stock tracking.
  • Useful in retail, e-commerce, and inventory systems where products differ by attributes.
Path Parameters

This endpoint does not require any path parameters.

Query Parameters

This endpoint does not accept query parameters.

Request Body
JSON
{
    "variations": {
        "name": "dimention5",
        "description": "Bryan Adams",
        "options": [
            "Regular",
            "Premium"
        ]
    }
}
Attribute Type Description
variations Object Contains details of the variation to be created.
 name String Internal system name of the variation. Must be unique.
 description String A short description of the variation.
 options Array of String List of option names under the variation.
Response

The response returns the full list of available variations (including the newly created one). Each variation includes its UUID, status, name, display name, description, and options. Options contain their own unique UUIDs along with the display name. The response is paginated to handle multiple variations across large datasets. This ensures that after creating a new variation, you can also confirm the existing variations and their attributes in one unified response.

Response Body
JSON
{
    "variations": [
        {
            "uuid": "e40573a2-9cd0-49ce-bdce-3ec6f493dc2d",
            "status": "ACTIVE",
            "name": "COLOR",
            "display_name": "COLOR",
            "description": "",
            "options": [
                {
                    "name": "White",
                    "uuid": "363a7147-32d0-4681-bf84-48891aa29fdb"
                },
                {
                    "name": "Red",
                    "uuid": "703cbcca-96f9-4574-acc7-b4780199cbec"
                },
                {
                    "name": "Black",
                    "uuid": "954621b9-d292-4865-8ee1-54b2b8902979"
                }
            ]
        },
        {
            "uuid": "b68a94fb-f666-4a40-88a6-39460336352a",
            "status": "ACTIVE",
            "name": "dimention4",
            "display_name": "dimention4",
            "description": "Bryan Adams - (Everything I Do) I Do It For You",
            "options": [
                {
                    "name": "Mobab",
                    "uuid": "35233839-68b8-4738-b820-494d73be8c44"
                },
                {
                    "name": "Megular",
                    "uuid": "6bc69ee6-bddf-4b48-9f02-f5d26b552bb4"
                },
                {
                    "name": "Qremium",
                    "uuid": "c286caeb-a91b-4766-8d35-acebecd0973d"
                }
            ]
        },
        {
            "uuid": "f3a3aeb2-f879-471c-9b4d-687578e96442",
            "status": "ACTIVE",
            "name": "dimention5",
            "display_name": "dimention5",
            "description": "Bryan Adams",
            "options": [
                {
                    "name": "Premium",
                    "uuid": "639912f9-b64e-4327-8764-03082e81c597"
                },
                {
                    "name": "Regular",
                    "uuid": "78154131-02ba-4e46-ba9a-d97d91ea7cce"
                }
            ]
        }
    ],
    "pagination": {
        "records": 3,
        "limit": 20,
        "offset": 0,
        "previous_page": "",
        "next_page": "NULL"
    }
}
Attribute Type Description
variations Array List of variation objects including newly created and existing ones.
 uuid String Unique identifier for the variation.
 status String Current status of the variation.
 name String Internal system name of the variation.
 display_name String User-friendly display name for the variation.
 description String Description of the variation.
 options Array List of option objects under the variation.
 name (options) String Option name.
 uuid (options) String Unique identifier of the option.
pagination Object Pagination metadata for variations list.
 records Number Total number of variation records returned.
 limit Number Maximum number of records allowed per page.
 offset Number Index offset for pagination.
 previous_page String Link or token to previous page, if available.
next_page String Link or token to next page, if available.

Looking to build next big project?

With our robust set of tools and resources, you can create custom solutions that integrate seamlessly with our system and take your business to the next level.

Join Our Partner Program
APIs
SDK
Help Center
Community
Contact Us

©2026 Exsited. All rights reserved.

Terms and Conditions | Privacy Policy

Follow Us: